### A free/open-source library for quantitative finance

SimpleDayCounter Class Reference
Day counters

Simple day counter for reproducing theoretical calculations. More...

`#include <ql/time/daycounters/simpledaycounter.hpp>`

Inheritance diagram for SimpleDayCounter:
[legend]

List of all members.

## Detailed Description

Simple day counter for reproducing theoretical calculations.

This day counter tries to ensure that whole-month distances are returned as a simple fraction, i.e., 1 year = 1.0, 6 months = 0.5, 3 months = 0.25 and so forth.

Warning:
  this day counter should be used together with NullCalendar, which ensures that dates at whole-month distances share the same day of month. It is not guaranteed to work with any other calendar.

Tests:
  the correctness of the results is checked against known good values.

Examples:
  FittedBondCurve.cpp.